%define pwlib_version 1.10.10
%define opal_version 2.2.11

Summary:	Voice and Video over IP software (H323 / SIP)
Name:		ekiga
Version:	2.0.12
Release:	%mkrel 1
License:	GPL
Group:		Video
BuildRequires:	libgnomeui2-devel >= 2.0.0
BuildRequires:	opal-devel >= %{opal_version}
Buildrequires:	pwlib-devel >= %{pwlib_version} 
%if %{mdkver} >= 200610
BuildRequires:  avahi-glib-devel
BuildRequires:  avahi-client-devel
%endif
BuildRequires:	SDL1.2-devel
BuildRequires:  scrollkeeper
BuildRequires:  perl-XML-Parser
BuildRequires:  evolution-data-server-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  ImageMagick
BuildRequires:  automake1.9 intltool
BuildRequires:  gnome-doc-utils >= 0.3.2 libxslt-proc
BuildRequires:  desktop-file-utils
Source0:	http://ftp.gnome.org/pub/GNOME/sources/ekiga/%{name}-%{version}.tar.bz2
Obsoletes:	gnomemeeting
Provides:	gnomemeeting

URL:		http://www.ekiga.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Conflicts:	dynamic <= 0.3-2mdk
Requires(post)  : scrollkeeper >= 0.3
Requires(postun): scrollkeeper >= 0.3
Requires:	soundwrapper
Requires:	pwlib >= %{pwlib_version}
Requires:	opal >= %{opal_version}
%if %{mdkver} >= 200800
Suggests:	yelp
%endif

%description
Ekiga is a tool to communicate with video and audio over the internet.
It uses both SIP and H323 protocol and is compatible with Microsoft Netmeeting.
It used to be called GnomeMeeting

%prep
%setup -q

%build

%configure2_5x	\
%if %mdkver < 200610
		--disable-avahi \
%endif
		--disable-schemas-install --enable-dbus
%make 

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name}
for omf in %buildroot%_datadir/omf/*/{*-??,*-??_??}.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done

#icons entries
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
install -m644 pixmaps/%name.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -scale 16 pixmaps/%name.png $RPM_BUILD_ROOT%{_miconsdir}/%name.png
convert -scale 32 pixmaps/%name.png $RPM_BUILD_ROOT%{_iconsdir}/%name.png

sed -i -e 's,^Exec=ekiga,Exec=soundwrapper %{_bindir}/ekiga,g' $RPM_BUILD_ROOT%{_datadir}/applications/ekiga.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-VideoConference" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%define launchers %{_sysconfdir}/dynamic/launchers/webcam
# dynamic support
mkdir -p $RPM_BUILD_ROOT%launchers
cat > $RPM_BUILD_ROOT%launchers/%name.desktop << EOF
[Desktop Entry]
Name=Ekiga \$devicename
Comment=Ekiga
TryExec=%{_bindir}/ekiga
Exec=soundwrapper %{_bindir}/ekiga
Terminal=false
Icon=ekiga
Type=Application
StartupNotify=true
EOF


rm -rf %buildroot/var/lib/scrollkeeper

%define schemas ekiga

%post
%post_install_gconf_schemas %{schemas}
%{update_menus}

update-alternatives --install %{launchers}/kde.desktop webcam.kde.dynamic %launchers/%name.desktop 40
update-alternatives --install %{launchers}/gnome.desktop webcam.gnome.dynamic %launchers/%name.desktop 40
%update_scrollkeeper

%preun
if [ -r %{_sysconfdir}/gconf/schemas/gnomemeeting.schemas -a -x %{_bindir}/gconftool-2 ]; then
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnomemeeting.schemas > /dev/null
  update-alternatives --remove webcam.kde.dynamic %launchers/gnomemeeting.desktop
  update-alternatives --remove webcam.gnome.dynamic %launchers/gnomemeeting.desktop
fi
%preun_uninstall_gconf_schemas %{schemas}

%postun
%{clean_menus}
%{clean_scrollkeeper}

if [ "$1" = "0" ]; then
  update-alternatives --remove webcam.kde.dynamic %launchers/%name.desktop
  update-alternatives --remove webcam.gnome.dynamic %launchers/%name.desktop
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING FAQ AUTHORS INSTALL TODO
%{_bindir}/*
%dir %{_datadir}/omf/*
%{_datadir}/dbus-1/services/net.ekiga.*
%{_datadir}/omf/*/*-C.omf
%{_datadir}/applications/*
%{_libdir}/bonobo/servers/*
%{_datadir}/pixmaps/*
%{_datadir}/sounds/*
%{_datadir}/gnome/help/ekiga
%{_mandir}/*/*
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_sysconfdir}/gconf/schemas/*
%config(noreplace) %launchers/*.desktop


%changelog
* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.0.12-1mdv2008.1
+ Revision: 183365
- new version

* Thu Jan 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.11-3mdv2008.1
+ Revision: 160732
- rebuild b/c of undefined symbol with libopal

* Sat Jan 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.11-2mdv2008.1
+ Revision: 149694
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- do not package big ChangeLog
- do not harcode icon extension

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 19 2007 Frederic Crozat <fcrozat@mandriva.com> 2.0.11-1mdv2008.0
+ Revision: 90980
- Release 2.0.11
- Release 2.0.10

* Wed Sep 12 2007 Frederic Crozat <fcrozat@mandriva.com> 2.0.9-5mdv2008.0
+ Revision: 84729
- Add yelp as suggests

* Wed Aug 22 2007 Frederic Crozat <fcrozat@mandriva.com> 2.0.9-4mdv2008.0
+ Revision: 69076
- Force rebuild with latest pwlib/opal

  + Funda Wang <fundawang@mandriva.org>
    - drop old menu

* Fri Jun 01 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.0.9-3mdv2008.0
+ Revision: 34350
- Rebuild with libslang2.

* Fri May 25 2007 Frederic Crozat <fcrozat@mandriva.com> 2.0.9-2mdv2008.0
+ Revision: 31019
- Enforce dependencies on opal and pwlib versions

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.0.9-1mdv2008.0
+ Revision: 14416
- new version
- drop patch


* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.0.7-3mdv2007.1
+ Revision: 146575
- do not package big ChangeLog

* Fri Mar 16 2007 Olivier Blin <oblin@mandriva.com> 2.0.7-2mdv2007.1
+ Revision: 144685
- tag lang on Gnome help files

* Sun Mar 11 2007 Götz Waschk <waschk@mandriva.org> 2.0.7-1mdv2007.1
+ Revision: 141433
- new version
- bump deps
- new version
- drop merged patches 1,2

* Fri Mar 09 2007 Frederic Crozat <fcrozat@mandriva.com> 2.0.5-2mdv2007.1
+ Revision: 138753
- Patch1 (CVS): fix CVE-2007-0999
- Patch2 : fix docbook url for help generation

* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 2.0.5-1mdv2007.1
+ Revision: 120734
- new version
- bump deps
- update file list

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.0.4-1mdv2007.1
+ Revision: 111709
- new version
- bump deps
- unpack patch
- add dbus component

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 2.0.3-2mdv2007.1
+ Revision: 88309
- Import ekiga

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 2.0.3-2mdv2007.1
- Rebuild

* Tue Sep 05 2006 Gtz Waschk <waschk@mandriva.org> 2.0.3-1mdv2007.0
- bump deps
- New release 2.0.3

* Sat Sep 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.2-7mdv2007.0
- Add missing soundwrapper call to .desktop file

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.2-6mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.0.2-1mdv2007.0
- rebuild for new e-d-s

* Fri Jul 21 2006 Gtz Waschk <waschk@mandriva.org> 2.0.2-4mdv2007.0
- fix buildrequires

* Thu Jul 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.2-2mdv2007.0
- Switch to XDG menu
- use macros
- fix preun script again

* Thu Jun 08 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.2-2mdv2007.0
- Fix preun script (Mdv bug #22624)

* Wed Jun 07 2006 Gtz Waschk <waschk@mandriva.org> 2.0.2-1mdv2007.0
- bump deps
- fix URL
- new version

* Thu May 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.1-3mdk
- Patch0: fix tray icon transparency

* Wed Apr 19 2006 Götz Waschk <waschk@mandriva.org> 2.0.1-2mdk
- rebuild for new e-d-s

* Tue Mar 14 2006 Gtz Waschk <waschk@mandriva.org> 2.0.1-1mdk
- bump deps

* Tue Mar 14 2006 Götz Waschk <waschk@mandriva.org> 2.0.1-1mdk
- New release 2.0.1

* Mon Mar 13 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0-2mdk
- fix buildrequires

* Mon Mar 13 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0-1mdk
- add scrollkeeper stuff
- bump deps
- New release 2.0.0

* Fri Feb 17 2006 Frederic Crozat <fcrozat@mandriva.com> 1.99.1-3mdk
- Fix BuildRequires (Mdk bug #21161)
- Fix url

* Wed Feb 15 2006 Frederic Crozat <fcrozat@mandriva.com> 1.99.1-2mdk
- Rebuild

* Tue Feb 14 2006 Gtz Waschk <waschk@mandriva.org> 1.99.1-1mdk
- bump deps
- New release 1.99.1

* Wed Jan 25 2006 Frederic Crozat <fcrozat@mandriva.com> 1.99.0-5mdk
- Rebuild with latest dbus

* Tue Jan 24 2006 Gtz Waschk <waschk@mandriva.org> 1.99.0-4mdk
- fix buildrequires

* Fri Jan 20 2006 Frederic Crozat <fcrozat@mandriva.com> 1.99.0-3mdk
- Fix remaining gnomemeeting strings
- uninstall gnomemeeting schemas / alternative when upgrading

* Thu Jan 19 2006 Frederic Crozat <fcrozat@mandriva.com> 1.99.0-2mdk
- Add missing buildrequires

* Wed Jan 18 2006 Frederic Crozat <fcrozat@mandriva.com> 1.99.0-1mdk
- new name : GNOMEMeeting is now known as Ekiga
- Release 1.99.0 (beta for 2.0)
- Remove source 1,2,3

* Tue Dec 06 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.3-1mdk
- Release 1.2.3
- remove patch0 (merged upstream)

* Wed Nov 30 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-5mdk
- Patch0: use DNS instead of IP for server used to NAT detection
- Use mkrel

* Fri Nov 18 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-4mdk
- rebuilt against openssl-0.9.8a

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-3mdk
- Rebuild with new eds

* Wed Sep 07 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-2mdk
- rebuild

* Tue Sep 06 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-1mdk 
- Release 1.2.2 final

* Wed Aug 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-0.20050810.2mdk
- rebuilt against new openldap-2.3.6 libs
- pass "-DLDAP_DEPRECATED" to the CFLAGS

* Thu Aug 11 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-0.20050810.1mdk 
- New snapshot with more fixes 
- Remove patch0, merged upstream (not that ugly, after all :)

* Wed Aug 10 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-0.20050809.1mdk 
- CVS snapshot of GNOMEMeeting 1.2.2
- Patch0 : ugly hack to prevent UI freeze when probing NAT

* Sat Apr 23 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.1-4mdk 
- Rebuild with new evolution-data-server

* Wed Mar 23 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-3mdk 
- use soundwrapper to start gnomemeeting (Mdk bug #14908)

* Wed Mar 09 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-2mdk 
- Fix build on 10.1

* Mon Mar 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-1mdk 
- Release 1.2.1
- Remove patch0 (merged upstream)

* Mon Feb 21 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-5mdk 
- Patch0: fix pwlib detection in multiarch environment

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-4mdk 
- Fix build for 10.1
- Rebuild with latest howl

* Fri Dec 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-3mdk 
- Fix buildrequires

* Wed Dec 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-2mdk 
- Remove requirements on plugins, it is handled by pwlib/openh323 packages
  directly

* Mon Dec 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-1mdk 
- Release 1.2.0
- Remove patch0 (no longer needed)

* Thu Sep 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-12mdk
- Fix build requires

* Tue Sep 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-11mdk 
- Rebuild against latest openh323 (no vpb support) and remove patch1,
  Mdk bug #11582 should be fixed now

* Fri Sep 24 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-10mdk
- Patch1 : disable iLBC codecs until crash is fixed for them

* Thu Sep 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-9mdk
- Enforce alsa plugin too, since some webcam doesn't work in oss mode
 (Mdk bug #11146)

* Wed Sep 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-8mdk
- Rebuild with new openh323/pwlib

* Sat Sep 11 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-7mdk
- Update dynamic launcher to fix device name use with dynamic entries

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-6mdk
- Fix menu

* Thu Jun 17 2004 Robert Vojta <robert.vojta@mandrake.org> 1.0.2-5mdk
- rebuild
- patch0 - use new pwlib, openh323 libraries (experimental)
- recommended versions of pwlib, openh323 modified (for patch0)

* Tue May 04 2004 Robert Vojta <robert.vojta@mandrake.org> 1.0.2-4mdk
- Fix BuildRequires (vpb-devel)

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-3mdk
- Fix BuildRequires

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-2mdk
- Enforce dependencies on pwlib plugins, to workaround Mdk bug #9556)

* Wed Apr 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.0.2-1mdk
- 1.0.2
- no explicit library dependencies
- don't bzip2 icons in src.rpm
- spec cosmetics
- drop P0 & P1 (seems to be fixed upstream)
- manually add -lvpb to LDFLAGS

